<script>
	import {scale} from 'svelte/transition'
	export let title
	export let subtitle
</script>
<style>
	div{
		flex: 1 1 0px;
		justify-content: space-between;
		padding: 1em;
		border-radius: 0.5em;
		margin: 1em;
		text-align: center;
	}
	.border{
		border: 1px solid var(--color2);
	}
	h4{
		text-transform: uppercase;
	}
	p{
		color: var(--color3);
		margin: 0.5em;
	}
</style>
{#key subtitle}
	<div in:scale class:border={!!subtitle}>
		<h4>{title}</h4>
		<p>{subtitle || '\xa0'}</p>
	</div>
{/key}
